libmad-0.15.1b

Introduction à libmad

libmad est un décodeur audio MPEG de grande qualité capable de produire du 24 bits.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

Téléchargements supplémentaires

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/libmad

Installation de libmad

Installez libmad en lançant les commandes suivantes :

patch -Np1 -i ../libmad-0.15.1b-fixes-1.patch                &&
sed "s@AM_CONFIG_HEADER@AC_CONFIG_HEADERS@g" -i configure.ac &&
touch NEWS AUTHORS ChangeLog                                 &&
autoreconf -fi                                               &&

./configure --prefix=/usr --disable-static &&
make

Ce paquet n'est pas fourni avec une suite de tests.

Maintenant, en tant qu'utilisateur root :

make install

Certains paquets vérifient le fichier pkg-config pour libmad. Ce fichier est nécessaire en particulier pour que Cdrdao puisse reconnaître le libmad installé.

En tant qu'utilisateur root :

cat > /usr/lib/pkgconfig/mad.pc << "EOF"
prefix=/usr
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include

Name: mad
Description: MPEG audio decoder
Requires:
Version: 0.15.1b
Libs: -L${libdir} -lmad
Cflags: -I${includedir}
EOF

Explication des commandes

touch NEWS AUTHORS ChangeLog : Empêche autoreconf de retourner une erreur.

--disable-static : Ce paramètre empêche l'installation des versions statiques des bibliothèques.

Contenu

Programmes installés: Aucun
Bibliothèque installée: libmad.so
Répertoires installés: Aucun

Descriptions courtes

libmad.so

est une bibliothèque de décodeur audio MPEG.

Last updated on 2020-03-09 15:02:12 +0000